Loading...
Searching...
No Matches
gx_engine::RtNeuralMulti Class Reference

`#include <gx_neural_plugins.h>`

Inheritance diagram for gx_engine::RtNeuralMulti:

## Public Member Functions

| RtNeuralMulti (ParamMap &param_, std::string id, ParallelThread *pro_, sigc::slot< void > sync)
| ~RtNeuralMulti ()

## Public Attributes

std::vector< Glib::ustring > | rtneural_afile_names
std::vector< Glib::ustring > | rtneural_bfile_names
Plugin | plugin
Public Attributes inherited from PluginDef
int | version
int | flags
const char * | id
const char * | name
const char ** | groups
const char * | description
const char * | category
const char * | shortname
process_mono_audio | mono_audio
process_stereo_audio | stereo_audio
inifunc | set_samplerate
activatefunc | activate_plugin
registerfunc | register_params
uiloader | load_ui
clearstatefunc | clear_state
deletefunc | delete_instance

## Private Member Functions

void | clear_state_f ()
int | load_ui_f (const UiBuilder &b, int form)
void | init (unsigned int sample_rate)
void | processDelay (int count, float *buf)
void | processModelA (int count, float *buf)
void | processModelB ()
void | compute (int count, float *input0, float *output0)
void | get_samplerate (std::string config_file, int *mSampleRate)
void | load_json_afile ()
void | load_json_afile_impl ()
void | load_json_bfile ()
void | load_json_bfile_impl ()
void | create_rtneural_afilelist ()
void | create_rtneural_bfilelist ()
int | register_par (const ParamReg &reg)

## Static Private Member Functions

static void | clear_state_f_static (PluginDef *)
static void | init_static (unsigned int sample_rate, PluginDef *)
static int | load_ui_f_static (const UiBuilder &b, int form)
static void | compute_static (int count, float *input0, float *output0, PluginDef *)
static int | register_params_static (const ParamReg &reg)
static void | del_instance (PluginDef *p)

## Private Attributes

RTNeural::Model< float > * | modela
RTNeural::Model< float > * | modelb
ParamMap & | param
ParallelThread * | pro
gx_resample::FixedRateResampler | smpa
gx_resample::FixedRateResampler | smpb
Ramp | rampA
Ramp | rampB
sigc::slot< void > | sync
volatile int | ready
int | fSampleRate
int | maSampleRate
int | mbSampleRate
float * | buf
int | nframes
float | fVslider0
float | fVslider01
float | fVslider1
float | fVslider2
int | IOTA0
double | fDec0 [16384]
float | fVslider02
double | fDel4 [2]
double | fDel0 [2]
double | fDel1 [2]
double | fDel2 [2]
double | fDel3 [2]
double | fRec0 [2]
double | fRec01 [2]
double | fRec1 [2]
double | fRec2 [2]
int | need_aresample
int | need_bresample
bool | is_inited
float | afilelist
float | bfilelist
Glib::ustring | load_afile
Glib::ustring | current_afile
Glib::ustring | load_bfile
Glib::ustring | current_bfile
Glib::ustring | load_apath
Glib::ustring | load_bpath
std::string | idstring

## Detailed Description

Definition at line 247 of file gx_neural_plugins.h.

## Constructor & Destructor Documentation

## RtNeuralMulti()

gx_engine::RtNeuralMulti::RtNeuralMulti | ( | ParamMap & | param_,
|  | std::string | id,
|  | ParallelThread * | pro_,
|  | sigc::slot< void > | sync )

## ~RtNeuralMulti()

gx_engine::RtNeuralMulti::~RtNeuralMulti | ( |  | ) |

## Member Function Documentation

## clear_state_f()

void gx_engine::RtNeuralMulti::clear_state_f | ( |  | ) |

private

## clear_state_f_static()

void gx_engine::RtNeuralMulti::clear_state_f_static | ( | PluginDef * |  | ) |

static private

## compute()

void gx_engine::RtNeuralMulti::compute | ( | int | count,
|  | float * | input0,
|  | float * | output0 )

private

## compute_static()

void gx_engine::RtNeuralMulti::compute_static | ( | int | count,
|  | float * | input0,
|  | float * | output0,
|  | PluginDef * | )

static private

## create_rtneural_afilelist()

void gx_engine::RtNeuralMulti::create_rtneural_afilelist | ( |  | ) |

private

## create_rtneural_bfilelist()

void gx_engine::RtNeuralMulti::create_rtneural_bfilelist | ( |  | ) |

private

## del_instance()

void gx_engine::RtNeuralMulti::del_instance | ( | PluginDef * | p | ) |

static private

## get_samplerate()

void gx_engine::RtNeuralMulti::get_samplerate | ( | std::string | config_file,
|  | int * | mSampleRate )

private

## init()

void gx_engine::RtNeuralMulti::init | ( | unsigned int | sample_rate | ) |

private

## init_static()

void gx_engine::RtNeuralMulti::init_static | ( | unsigned int | sample_rate,
|  | PluginDef * | )

static private

## load_json_afile()

void gx_engine::RtNeuralMulti::load_json_afile | ( |  | ) |

private

## load_json_afile_impl()

void gx_engine::RtNeuralMulti::load_json_afile_impl | ( |  | ) |

private

## load_json_bfile()

void gx_engine::RtNeuralMulti::load_json_bfile | ( |  | ) |

private

## load_json_bfile_impl()

void gx_engine::RtNeuralMulti::load_json_bfile_impl | ( |  | ) |

private

## load_ui_f()

int gx_engine::RtNeuralMulti::load_ui_f | ( | const UiBuilder & | b,
|  | int | form )

private

## load_ui_f_static()

int gx_engine::RtNeuralMulti::load_ui_f_static | ( | const UiBuilder & | b,
|  | int | form )

static private

## processDelay()

void gx_engine::RtNeuralMulti::processDelay | ( | int | count,
|  | float * | buf )

private

## processModelA()

void gx_engine::RtNeuralMulti::processModelA | ( | int | count,
|  | float * | buf )

private

## processModelB()

void gx_engine::RtNeuralMulti::processModelB | ( |  | ) |

private

## register_par()

int gx_engine::RtNeuralMulti::register_par | ( | const ParamReg & | reg | ) |

private

## register_params_static()

int gx_engine::RtNeuralMulti::register_params_static | ( | const ParamReg & | reg | ) |

static private

## Member Data Documentation

## afilelist

float gx_engine::RtNeuralMulti::afilelist

private

Definition at line 283 of file gx_neural_plugins.h.

## bfilelist

float gx_engine::RtNeuralMulti::bfilelist

private

Definition at line 284 of file gx_neural_plugins.h.

## buf

float* gx_engine::RtNeuralMulti::buf

private

Definition at line 262 of file gx_neural_plugins.h.

Referenced by processDelay(), and processModelA().

## current_afile

Glib::ustring gx_engine::RtNeuralMulti::current_afile

private

Definition at line 286 of file gx_neural_plugins.h.

## current_bfile

Glib::ustring gx_engine::RtNeuralMulti::current_bfile

private

Definition at line 288 of file gx_neural_plugins.h.

## fDec0

double gx_engine::RtNeuralMulti::fDec0[16384]

private

Definition at line 269 of file gx_neural_plugins.h.

## fDel0

double gx_engine::RtNeuralMulti::fDel0[2]

private

Definition at line 272 of file gx_neural_plugins.h.

## fDel1

double gx_engine::RtNeuralMulti::fDel1[2]

private

Definition at line 273 of file gx_neural_plugins.h.

## fDel2

double gx_engine::RtNeuralMulti::fDel2[2]

private

Definition at line 274 of file gx_neural_plugins.h.

## fDel3

double gx_engine::RtNeuralMulti::fDel3[2]

private

Definition at line 275 of file gx_neural_plugins.h.

## fDel4

double gx_engine::RtNeuralMulti::fDel4[2]

private

Definition at line 271 of file gx_neural_plugins.h.

## fRec0

double gx_engine::RtNeuralMulti::fRec0[2]

private

Definition at line 276 of file gx_neural_plugins.h.

## fRec01

double gx_engine::RtNeuralMulti::fRec01[2]

private

Definition at line 277 of file gx_neural_plugins.h.

## fRec1

double gx_engine::RtNeuralMulti::fRec1[2]

private

Definition at line 278 of file gx_neural_plugins.h.

## fRec2

double gx_engine::RtNeuralMulti::fRec2[2]

private

Definition at line 279 of file gx_neural_plugins.h.

## fSampleRate

int gx_engine::RtNeuralMulti::fSampleRate

private

Definition at line 259 of file gx_neural_plugins.h.

## fVslider0

float gx_engine::RtNeuralMulti::fVslider0

private

Definition at line 264 of file gx_neural_plugins.h.

## fVslider01

float gx_engine::RtNeuralMulti::fVslider01

private

Definition at line 265 of file gx_neural_plugins.h.

## fVslider02

float gx_engine::RtNeuralMulti::fVslider02

private

Definition at line 270 of file gx_neural_plugins.h.

## fVslider1

float gx_engine::RtNeuralMulti::fVslider1

private

Definition at line 266 of file gx_neural_plugins.h.

## fVslider2

float gx_engine::RtNeuralMulti::fVslider2

private

Definition at line 267 of file gx_neural_plugins.h.

## idstring

std::string gx_engine::RtNeuralMulti::idstring

private

Definition at line 291 of file gx_neural_plugins.h.

## IOTA0

int gx_engine::RtNeuralMulti::IOTA0

private

Definition at line 268 of file gx_neural_plugins.h.

## is_inited

bool gx_engine::RtNeuralMulti::is_inited

private

Definition at line 282 of file gx_neural_plugins.h.

## load_afile

Glib::ustring gx_engine::RtNeuralMulti::load_afile

private

Definition at line 285 of file gx_neural_plugins.h.

## load_apath

Glib::ustring gx_engine::RtNeuralMulti::load_apath

private

Definition at line 289 of file gx_neural_plugins.h.

## load_bfile

Glib::ustring gx_engine::RtNeuralMulti::load_bfile

private

Definition at line 287 of file gx_neural_plugins.h.

## load_bpath

Glib::ustring gx_engine::RtNeuralMulti::load_bpath

private

Definition at line 290 of file gx_neural_plugins.h.

## maSampleRate

int gx_engine::RtNeuralMulti::maSampleRate

private

Definition at line 260 of file gx_neural_plugins.h.

## mbSampleRate

int gx_engine::RtNeuralMulti::mbSampleRate

private

Definition at line 261 of file gx_neural_plugins.h.

## modela

RTNeural::Model<float>* gx_engine::RtNeuralMulti::modela

private

Definition at line 249 of file gx_neural_plugins.h.

## modelb

RTNeural::Model<float>* gx_engine::RtNeuralMulti::modelb

private

Definition at line 250 of file gx_neural_plugins.h.

## need_aresample

int gx_engine::RtNeuralMulti::need_aresample

private

Definition at line 280 of file gx_neural_plugins.h.

## need_bresample

int gx_engine::RtNeuralMulti::need_bresample

private

Definition at line 281 of file gx_neural_plugins.h.

## nframes

int gx_engine::RtNeuralMulti::nframes

private

Definition at line 263 of file gx_neural_plugins.h.

## param

ParamMap& gx_engine::RtNeuralMulti::param

private

Definition at line 251 of file gx_neural_plugins.h.

## plugin

Plugin gx_engine::RtNeuralMulti::plugin

Definition at line 318 of file gx_neural_plugins.h.

## pro

ParallelThread* gx_engine::RtNeuralMulti::pro

private

Definition at line 252 of file gx_neural_plugins.h.

## rampA

Ramp gx_engine::RtNeuralMulti::rampA

private

Definition at line 255 of file gx_neural_plugins.h.

## rampB

Ramp gx_engine::RtNeuralMulti::rampB

private

Definition at line 256 of file gx_neural_plugins.h.

## ready

volatile int gx_engine::RtNeuralMulti::ready

private

Definition at line 258 of file gx_neural_plugins.h.

## rtneural_afile_names

std::vector<Glib::ustring> gx_engine::RtNeuralMulti::rtneural_afile_names

Definition at line 316 of file gx_neural_plugins.h.

## rtneural_bfile_names

std::vector<Glib::ustring> gx_engine::RtNeuralMulti::rtneural_bfile_names

Definition at line 317 of file gx_neural_plugins.h.

## smpa

gx_resample::FixedRateResampler gx_engine::RtNeuralMulti::smpa

private

Definition at line 253 of file gx_neural_plugins.h.

## smpb

gx_resample::FixedRateResampler gx_engine::RtNeuralMulti::smpb

private

Definition at line 254 of file gx_neural_plugins.h.

## sync

sigc::slot<void> gx_engine::RtNeuralMulti::sync

private

Definition at line 257 of file gx_neural_plugins.h.

Referenced by RtNeuralMulti().

The documentation for this class was generated from the following file:

- src/headers/gx_neural_plugins.h